package org.siqisource.agave.orm.expression;

public class BetweenValueExpression extends SqlCompareExpressionImpl {

	public BetweenValueExpression(String prefix, String column,
			Object beginValue, Object endValue, String suffix) {
		super(prefix, column, " BETWEEN ", suffix);
		this.beginValue = beginValue;
		this.endValue = endValue;
	}

	private Object beginValue;

	private Object endValue;

	public Object getBeginValue() {
		return beginValue;
	}

	public void setBeginValue(Object beginValue) {
		this.beginValue = beginValue;
	}

	public Object getEndValue() {
		return endValue;
	}

	public void setEndValue(Object endValue) {
		this.endValue = endValue;
	}

	public String getExpression(int indexInCondition) {
		StringBuffer expression = new StringBuffer(128);
		expression.append(this.prefix);
		expression.append(this.column);
		expression.append(this.compareSymbol);
		expression.append(" #{condition.expressions[");
		expression.append(indexInCondition);
		expression.append("].beginValue} AND #{condition.expressions[");
		expression.append(indexInCondition);
		expression.append("].endValue} ");
		expression.append(this.suffix);
		return expression.toString();
	}

}
