package org.siqisource.agave.orm.expression;

import java.util.List;

public class ListValueExpression extends SqlCompareExpressionImpl {

	public ListValueExpression(String prefix, String column, String compareSymbol, List<?> value, String suffix) {
		super(prefix, column, compareSymbol, suffix);
		this.value = value;
	}


	private List<?> value;

	public List<?> getValue() {
		return value;
	}

	public void setValue(List<?> value) {
		this.value = value;
	}

	public String getExpression(int indexInCondition) {
		StringBuffer expression = new StringBuffer(128);
		expression.append(this.prefix);
		expression.append(this.column);
		expression.append(this.compareSymbol);
		expression.append(" ( ");
		for(int i = 0; i < this.value.size();i++){
			if(i!=0){
				expression.append(" , ");
			}
			expression.append("#{condition.expressions[");
			expression.append(indexInCondition);
			expression.append("].value[");
			expression.append(i);
			expression.append("]}");
		}
		expression.append(" ) ");
		expression.append(this.suffix);
		return expression.toString();
	}

}
